###########################################################################
#
#   mis.mak
#
#   MisfitMAME target makefile
#
#   Copyright (c) 1996-2007, Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################

MISSRC = $(SRC)/mis
MISOBJ = $(OBJ)/mis

MAMESRC = $(SRC)/mame
MAMEOBJ = $(OBJ)/mame

MISAUDIO = $(MISOBJ)/audio
MISDRIVERS = $(MISOBJ)/drivers
MISLAYOUT = $(MISOBJ)/layout
MISMACHINE = $(MISOBJ)/machine
MISVIDEO = $(MISOBJ)/video

AUDIO = $(MAMEOBJ)/audio
DRIVERS = $(MAMEOBJ)/drivers
LAYOUT = $(MAMEOBJ)/layout
MACHINE = $(MAMEOBJ)/machine
VIDEO = $(MAMEOBJ)/video

EMUAUDIO = $(OBJ)/emu/sound
EMUMACHINE = $(OBJ)/emu/machine

OBJDIRS += \
	$(MISAUDIO) \
	$(MISDRIVERS) \
	$(MISLAYOUT) \
	$(MISMACHINE) \
	$(MISVIDEO) \
	$(AUDIO) \
	$(DRIVERS) \
	$(LAYOUT) \
	$(MACHINE) \
	$(VIDEO) \

#-------------------------------------------------
# specify available CPU cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

# this is for pong in misfitmame
CPUS += GENSYNC
CPUS += Z80
CPUS += Z180
CPUS += 8080
CPUS += 8085A
CPUS += M6502
#CPUS += M65C02
#CPUS += M65SC02
#CPUS += M65CE02
#CPUS += M6509
#CPUS += M6510
#CPUS += M6510T
#CPUS += M7501
#CPUS += M8502
CPUS += N2A03
#CPUS += DECO16
#CPUS += M4510
CPUS += H6280
#CPUS += I8086
CPUS += I8088
#CPUS += I80186
#CPUS += I80188
#CPUS += I80286
#CPUS += V20
#CPUS += V25
#CPUS += V30
#CPUS += V33
#CPUS += V35
#CPUS += V60
#CPUS += V70
CPUS += M58715
CPUS += I8035
CPUS += I8039
#CPUS += I8048
CPUS += N7751
#CPUS += I8X41
#CPUS += I8051
#CPUS += I8052
#CPUS += I8751
#CPUS += I8752
#CPUS += M6800
CPUS += M6801
#CPUS += M6802
CPUS += M6803
CPUS += M6808
CPUS += HD63701
#CPUS += NSC8105
#CPUS += M6805
CPUS += M68705
#CPUS += HD63705
#CPUS += HD6309
CPUS += M6809
#CPUS += M6809E
#CPUS += KONAMI
CPUS += M68000
CPUS += M68010
CPUS += M68EC020
#CPUS += M68020
#CPUS += M68040
#CPUS += T11
CPUS += S2650
#CPUS += TMS34010
#CPUS += TMS34020
#CPUS += TMS9900
#CPUS += TMS9940
#CPUS += TMS9980
#CPUS += TMS9985
#CPUS += TMS9989
#CPUS += TMS9995
#CPUS += TMS99105A
#CPUS += TMS99110A
#CPUS += Z8000
CPUS += TMS32010
#CPUS += TMS32025
#CPUS += TMS32026
#CPUS += TMS32031
#CPUS += TMS32032
#CPUS += TMS32051
CPUS += CCPU
#CPUS += ADSP2100
#CPUS += ADSP2101
#CPUS += ADSP2104
#CPUS += ADSP2105
#CPUS += ADSP2115
#CPUS += ADSP2181
#CPUS += PSXCPU
#CPUS += ASAP
#CPUS += UPD7810
#CPUS += UPD7807
CPUS += ARM
#CPUS += ARM7
#CPUS += JAGUAR
CPUS += R3000
#CPUS += R4600
#CPUS += R4650
#CPUS += R4700
#CPUS += R5000
#CPUS += QED5271
#CPUS += RM7000
#CPUS += SH2
#CPUS += SH4
#CPUS += DSP32C
#CPUS += PIC16C54
#CPUS += PIC16C55
#CPUS += PIC16C56
#CPUS += PIC16C57
#CPUS += PIC16C58
#CPUS += G65816
#CPUS += SPC700
#CPUS += E116T
#CPUS += E116XT
#CPUS += E116XS
#CPUS += E116XSR
#CPUS += E132N
#CPUS += E132T
#CPUS += E132XN
#CPUS += E132XT
#CPUS += E132XS
#CPUS += E132XSR
#CPUS += GMS30C2116
#CPUS += GMS30C2132
#CPUS += GMS30C2216
#CPUS += GMS30C2232
#CPUS += I386
#CPUS += I486
#CPUS += PENTIUM
#CPUS += MEDIAGX
#CPUS += I960
#CPUS += H83002
CPUS += V810
#CPUS += M37702
#CPUS += M37710
#CPUS += PPC403
#CPUS += PPC601
#CPUS += PPC602
#CPUS += PPC603
#CPUS += MPC8240
#CPUS += SE3208
#CPUS += MC68HC11
#CPUS += ADSP21062
#CPUS += DSP56156
#CPUS += RSP
#CPUS += ALPHA8201
#CPUS += ALPHA8301
#CPUS += CDP1802
#CPUS += COP420
#CPUS += COP410
#CPUS += TLCS90
#CPUS += MB8841
CPUS += MB8842
#CPUS += MB8843
CPUS += MB8844
#CPUS += MB86233
#CPUS += SSP1610
#CPUS += APEXC
#CPUS += CP1610
#CPUS += F8
#CPUS += LH5801
#CPUS += PDP1
#CPUS += SATURN
#CPUS += SC61860
#CPUS += TX0_64KW
#CPUS += TX0_8KW
#CPUS += Z80GB
#CPUS += TMS7000
#CPUS += TMS7000_EXL
#CPUS += SM8500
#CPUS += V30MZ




#-------------------------------------------------
# specify available sound cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

SOUNDS += CUSTOM
SOUNDS += SAMPLES
SOUNDS += DAC
#SOUNDS += DMADAC
SOUNDS += DISCRETE
SOUNDS += AY8910
SOUNDS += YM2203
SOUNDS += YM2151
#SOUNDS += YM2608
SOUNDS += YM2610
SOUNDS += YM2610B
#SOUNDS += YM2612
SOUNDS += YM3438
SOUNDS += YM2413
SOUNDS += YM3812
SOUNDS += YMZ280B
SOUNDS += YM3526
#SOUNDS += Y8950
SOUNDS += SN76477
SOUNDS += SN76496
SOUNDS += POKEY
#SOUNDS += TIA
SOUNDS += NES
SOUNDS += ASTROCADE
SOUNDS += NAMCO
SOUNDS += NAMCO_15XX
SOUNDS += NAMCO_CUS30
#SOUNDS += NAMCO_52XX
#SOUNDS += NAMCO_54XX
#SOUNDS += NAMCO_63701X
#SOUNDS += NAMCONA
SOUNDS += TMS36XX
#SOUNDS += TMS3615
#SOUNDS += TMS5110
SOUNDS += TMS5110A
SOUNDS += TMS5220
SOUNDS += VLM5030
#SOUNDS += ADPCM
SOUNDS += OKIM6295
SOUNDS += MSM5205
#SOUNDS += MSM5232
SOUNDS += UPD7759
SOUNDS += HC55516
SOUNDS += K005289
SOUNDS += K007232
SOUNDS += K051649
#SOUNDS += K053260
#SOUNDS += K054539
#SOUNDS += SEGAPCM
#SOUNDS += RF5C68
#SOUNDS += CEM3394
#SOUNDS += C140
SOUNDS += QSOUND
#SOUNDS += SAA1099
#SOUNDS += IREMGA20
#SOUNDS += ES5503
SOUNDS += ES5505
#SOUNDS += ES5506
#SOUNDS += BSMT2000
#SOUNDS += YMF262
#SOUNDS += YMF278B
#SOUNDS += GAELCO_CG1V
#SOUNDS += GAELCO_GAE1
#SOUNDS += X1_010
#SOUNDS += MULTIPCM
#SOUNDS += C6280
SOUNDS += SP0250
#SOUNDS += SCSP
#SOUNDS += YMF271
#SOUNDS += PSXSPU
#SOUNDS += CDDA
SOUNDS += ICS2115
SOUNDS += ST0016
#SOUNDS += C352
#SOUNDS += VRENDER0
#SOUNDS += VOTRAX
#SOUNDS += ES8712
#SOUNDS += RF5C400
SOUNDS += SPEAKER
#SOUNDS += CDP1869
#SOUNDS += S14001A
#SOUNDS += BEEP
#SOUNDS += WAVE
#SOUNDS += SID6581
#SOUNDS += SID8580
#SOUNDS += SP0256



#-------------------------------------------------
# this is the list of driver libaries that
# comprise MIS
#-------------------------------------------------

DRVLIBS = \
	$(MISOBJ)/mis_driv.o \
	$(MISOBJ)/atari.a \
	$(MISOBJ)/capcom.a \
	$(MISOBJ)/cinemat.a \
	$(MISOBJ)/dataeast.a \
	$(MISOBJ)/gottlieb.a \
	$(MISOBJ)/igs.a \
	$(MISOBJ)/irem.a \
	$(MISOBJ)/itech.a \
	$(MISOBJ)/jaleco.a \
	$(MISOBJ)/kaneko.a \
	$(MISOBJ)/konami.a \
	$(MISOBJ)/midw8080.a \
	$(MISOBJ)/midway.a \
	$(MISOBJ)/namco.a \
	$(MISOBJ)/neogeo.a \
	$(MISOBJ)/nichibut.a \
	$(MISOBJ)/nintendo.a \
	$(MISOBJ)/pacman.a \
	$(MISOBJ)/phoenix.a \
	$(MISOBJ)/sega.a \
	$(MISOBJ)/seta.a \
	$(MISOBJ)/snk.a \
	$(MISOBJ)/taito.a \
	$(MISOBJ)/tehkan.a \
	$(MISOBJ)/toaplan.a \
	$(MISOBJ)/univers.a \
	$(MISOBJ)/valadon.a \
	$(MISOBJ)/shared.a \
	$(MISOBJ)/misfit.a \



#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------

$(MISOBJ)/shared.a: \
	$(MACHINE)/ticket.o \


#-------------------------------------------------
# manufacturer-specific groupings for drivers
#-------------------------------------------------

$(MISOBJ)/atari.a: \
	$(MISDRIVERS)/asteroid.o $(MACHINE)/asteroid.o $(AUDIO)/asteroid.o \
	$(MISDRIVERS)/bwidow.o\
	$(MISDRIVERS)/centiped.o $(VIDEO)/centiped.o \
	$(MISDRIVERS)/gauntlet.o $(VIDEO)/gauntlet.o \
	$(MISDRIVERS)/tempest.o \
	$(MACHINE)/atarigen.o $(MACHINE)/atari_vg.o $(MACHINE)/mathbox.o $(MACHINE)/slapstic.o \
	$(VIDEO)/atarimo.o $(VIDEO)/avgdvg.o \

$(MISOBJ)/capcom.a: \
	$(MISDRIVERS)/1942.o $(VIDEO)/1942.o \
	$(MISDRIVERS)/blktiger.o $(VIDEO)/blktiger.o \
	$(MISDRIVERS)/commando.o $(VIDEO)/commando.o \
	$(MISDRIVERS)/cps1.o $(MISVIDEO)/cps1.o \
	$(MISDRIVERS)/cps1hack.o \
	$(MISDRIVERS)/cps2.o $(MACHINE)/cps2crpt.o \
	$(MISDRIVERS)/mitchell.o $(VIDEO)/mitchell.o \
	$(MACHINE)/kabuki.o \

$(MISOBJ)/cinemat.a: \
	$(MISDRIVERS)/cinemat.o $(AUDIO)/cinemat.o $(VIDEO)/cinemat.o \

$(MISOBJ)/dataeast.a: \
	$(MISDRIVERS)/astrof.o $(AUDIO)/astrof.o \
	$(MISDRIVERS)/btime.o $(MACHINE)/btime.o $(VIDEO)/btime.o \
	$(MISDRIVERS)/dec0.o $(MACHINE)/dec0.o $(VIDEO)/dec0.o \
	$(MISDRIVERS)/pcktgal.o $(VIDEO)/pcktgal.o \

$(MISOBJ)/gottlieb.a: \
	$(MISDRIVERS)/gottlieb.o $(MISAUDIO)/gottlieb.o $(VIDEO)/gottlieb.o \

$(MISOBJ)/igs.a: \
	$(MISDRIVERS)/pgm.o $(VIDEO)/pgm.o \
	$(MACHINE)/pgmcrypt.o \
	$(MACHINE)/pgmprot.o \
	$(MACHINE)/pgmy2ks.o \

$(MISOBJ)/irem.a: \
	$(MISDRIVERS)/m52.o $(VIDEO)/m52.o \
	$(MACHINE)/irem_cpu.o \
	$(AUDIO)/irem.o \

$(MISOBJ)/itech.a: \
	$(MISDRIVERS)/itech8.o $(MACHINE)/slikshot.o $(VIDEO)/itech8.o \

$(MISOBJ)/jaleco.a: \
	$(MISDRIVERS)/exerion.o $(VIDEO)/exerion.o \

$(MISOBJ)/konami.a: \
	$(MISDRIVERS)/junofrst.o $(VIDEO)/tutankhm.o \
	$(MISDRIVERS)/shaolins.o $(VIDEO)/shaolins.o \
	$(MISDRIVERS)/trackfld.o $(MACHINE)/konami1.o $(AUDIO)/trackfld.o $(VIDEO)/trackfld.o \
	$(VIDEO)/konamiic.o \
	$(MISDRIVERS)/nemesis.o $(VIDEO)/nemesis.o \
	$(MISDRIVERS)/timeplt.o $(AUDIO)/timeplt.o $(VIDEO)/timeplt.o \
	$(MISDRIVERS)/tp84.o $(VIDEO)/tp84.o \

$(MISOBJ)/midw8080.a: \
	$(MISMACHINE)/invaders.o $(MISDRIVERS)/invaders.o $(MISVIDEO)/invaders.o $(MACHINE)/mb14241.o \
	$(MISDRIVERS)/schaser.o $(MISDRIVERS)/lupin3.o $(MISDRIVERS)/ir.o $(MISDRIVERS)/galxwars.o \
	$(MISDRIVERS)/lrescue.o \

$(MISOBJ)/midway.a: \
	$(MISDRIVERS)/astrocde.o $(VIDEO)/astrocde.o \
	$(MISDRIVERS)/mcr.o $(MACHINE)/mcr.o $(AUDIO)/mcr.o $(VIDEO)/mcr.o \
	$(DRIVERS)/mcr3.o $(VIDEO)/mcr3.o \
	$(DRIVERS)/mcr68.o $(VIDEO)/mcr68.o \
	$(MISDRIVERS)/williams.o $(MACHINE)/williams.o $(AUDIO)/williams.o $(VIDEO)/williams.o \

$(MISOBJ)/namco.a: \
	$(MISDRIVERS)/galaga.o $(AUDIO)/galaga.o $(VIDEO)/galaga.o \
	$(MISDRIVERS)/galaxian.o $(AUDIO)/galaxian.o $(MISVIDEO)/galaxian.o \
	$(MISDRIVERS)/galaxold.o $(MACHINE)/galaxold.o $(MISVIDEO)/galaxold.o \
	$(MISDRIVERS)/gaplus.o $(MACHINE)/gaplus.o $(VIDEO)/gaplus.o \
	$(MISDRIVERS)/mappy.o $(VIDEO)/mappy.o \
	$(MISDRIVERS)/pacland.o $(VIDEO)/pacland.o \
	$(DRIVERS)/polepos.o $(AUDIO)/polepos.o $(VIDEO)/polepos.o \
	$(MISDRIVERS)/rallyx.o $(VIDEO)/rallyx.o \
	$(MACHINE)/namcoio.o $(MACHINE)/namco50.o \
	$(EMUAUDIO)/namco52.o \
	$(AUDIO)/namco54.o \
	$(AUDIO)/namcoc7x.o \
	$(MACHINE)/xevious.o $(VIDEO)/xevious.o \

$(MISOBJ)/neogeo.a: \
	$(MISDRIVERS)/neogeo.o $(VIDEO)/neogeo.o \
	$(MACHINE)/neoboot.o \
	$(MISMACHINE)/neocrypt.o \
	$(MACHINE)/neoprot.o \

$(MISOBJ)/nichibut.a: \
	$(MISDRIVERS)/cclimber.o $(MACHINE)/cclimber.o $(AUDIO)/cclimber.o $(VIDEO)/cclimber.o \

$(MISOBJ)/nintendo.a: \
	$(MISDRIVERS)/dkong.o $(MISAUDIO)/dkong.o $(MISVIDEO)/dkong.o \
	$(MISDRIVERS)/mario.o $(AUDIO)/mario.o $(VIDEO)/mario.o \
	$(MISDRIVERS)/playch10.o $(MACHINE)/playch10.o $(VIDEO)/playch10.o \
	$(MISDRIVERS)/vsnes.o $(MACHINE)/vsnes.o $(VIDEO)/vsnes.o \
	$(VIDEO)/ppu2c0x.o $(EMUMACHINE)/z80dma.o $(EMUMACHINE)/8257dma.o \

$(MISOBJ)/pacman.a: \
	$(MISDRIVERS)/jrpacman.o \
	$(MISDRIVERS)/pacman.o $(MISVIDEO)/pacman.o \
	$(MISDRIVERS)/pengo.o \

$(MISOBJ)/phoenix.a: \
	$(MISDRIVERS)/phoenix.o $(AUDIO)/phoenix.o $(VIDEO)/phoenix.o \
	$(AUDIO)/pleiads.o \

$(MISOBJ)/sega.a: \
	$(MISDRIVERS)/segac2.o \
	$(MISDRIVERS)/segag80r.o $(MACHINE)/segag80.o $(AUDIO)/segag80r.o $(VIDEO)/segag80r.o \
	$(MISDRIVERS)/system1.o $(VIDEO)/system1.o $(MACHINE)/mc8123.o \
	$(MISDRIVERS)/system16.o $(MACHINE)/system16.o $(VIDEO)/system16.o $(AUDIO)/system16.o \
	$(VIDEO)/sys16spr.o $(VIDEO)/segasyse.o \
	$(DRIVERS)/genesis.o $(VIDEO)/genesis.o $(DRIVERS)/megaplay.o \
	$(DRIVERS)/megadriv.o $(DRIVERS)/megatech.o $(DRIVERS)/segae.o $(AUDIO)/segasnd.o \
	$(MACHINE)/segacrpt.o \

$(MISOBJ)/seta.a: \
	$(MISDRIVERS)/st0016.o $(VIDEO)/st0016.o \
	$(DRIVERS)/speglsht.o \

$(MISOBJ)/snk.a: \
	$(MISDRIVERS)/rockola.o $(AUDIO)/rockola.o $(VIDEO)/rockola.o \

$(MISOBJ)/taito.a: \
	$(MISDRIVERS)/arkanoid.o $(MISMACHINE)/arkanoid.o $(MISVIDEO)/arkanoid.o \
	$(MISDRIVERS)/bublbobl.o $(MACHINE)/bublbobl.o $(VIDEO)/bublbobl.o \
	$(MISDRIVERS)/rastan.o $(VIDEO)/rastan.o \
	$(MISDRIVERS)/taito_b.o $(VIDEO)/taito_b.o \
	$(MISDRIVERS)/taito_f2.o $(VIDEO)/taito_f2.o \
	$(MISDRIVERS)/taito_f3.o $(VIDEO)/taito_f3.o $(AUDIO)/taito_en.o \
	$(MACHINE)/cchip.o \
	$(AUDIO)/taitosnd.o \
	$(VIDEO)/taitoic.o \
	$(MISDRIVERS)/tnzs.o $(MACHINE)/tnzs.o $(VIDEO)/tnzs.o \
	$(MISDRIVERS)/volfied.o $(MACHINE)/volfied.o $(VIDEO)/volfied.o \

$(MISOBJ)/tehkan.a: \
	$(MISDRIVERS)/bombjack.o $(VIDEO)/bombjack.o \
	$(MISDRIVERS)/tecmo.o $(VIDEO)/tecmo.o \
	$(MISDRIVERS)/tehkanwc.o $(VIDEO)/tehkanwc.o \

$(MISOBJ)/toaplan.a: \
	$(MISDRIVERS)/toaplan2.o $(AUDIO)/toaplan2.o $(VIDEO)/toaplan2.o \
	$(MISDRIVERS)/twincobr.o $(MACHINE)/twincobr.o $(VIDEO)/twincobr.o \
	$(DRIVERS)/wardner.o \
	$(MACHINE)/nmk112.o \

$(MISOBJ)/univers.a: \
	$(MISDRIVERS)/docastle.o $(MACHINE)/docastle.o $(VIDEO)/docastle.o \
	$(MISDRIVERS)/mrdo.o $(VIDEO)/mrdo.o \

$(MISOBJ)/valadon.a: \
	$(MISDRIVERS)/bagman.o $(MACHINE)/bagman.o $(VIDEO)/bagman.o \


#-------------------------------------------------
# additional drivers from MisfitMAME
#-------------------------------------------------

$(MISOBJ)/misfit.a: \
	$(MISDRIVERS)/monaco.o $(MISVIDEO)/monaco.o \
	$(MISDRIVERS)/pong.o $(MISVIDEO)/pong.o $(MISAUDIO)/pong.o \
	$(MISDRIVERS)/ertictac.o \
	$(MISDRIVERS)/mineswp.o \
	$(MISDRIVERS)/astinvad.o \


#-------------------------------------------------
# layout dependencies
#-------------------------------------------------

$(MISDRIVERS)/ir.o:		$(LAYOUT)/invrvnge.lh

$(MISDRIVERS)/neogeo.o:		$(LAYOUT)/neogeo.lh

$(MISDRIVERS)/monaco.o:		$(MISLAYOUT)/monaco.lh

$(MISDRIVERS)/invaders.o:	$(MISLAYOUT)/invaders.lh $(LAYOUT)/shuttlei.lh
